apiVersion: apps/v1
kind: Deployment
metadata:
  name: whitelist
  labels:
    app: whitelist
    group: kmu-enrollment-group
    version: 0.7.0-SNAPSHOT
spec:
  replicas: 1
  selector:
    matchLabels:
      app: whitelist
      group: kmu-enrollment-group
      version: 0.7.0-SNAPSHOT
  template:
    metadata:
      labels:
        app: whitelist
        group: kmu-enrollment-group
        version: 0.7.0-SNAPSHOT
      annotations:
        sidecar.istio.io/inject: "true"
    spec:
      containers:
        - name: whitelist
          image: whitelist:20200724-6
          imagePullPolicy: IfNotPresent
          ports:
            - name: http
              containerPort: 8080
            - name: grpc
              containerPort: 8090
          volumeMounts:
            - name: timezone-config
              mountPath: /etc/localtime
      volumes:
        - name: timezone-config
          hostPath:
            path: /usr/share/zoneinfo/Asia/Seoul
  strategy:
    type: RollingUpdate
